SDL_windows.h File Reference
`#include <windows.h>`
`#include <basetyps.h>`
Include dependency graph for SDL_windows.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | WIN_StringToUTF8(S) SDL_iconv_string("UTF-8", "ASCII", (char *)(S), (SDL_strlen(S)+1))
#define | WIN_UTF8ToString(S) SDL_iconv_string("ASCII", "UTF-8", (char *)(S), SDL_strlen(S)+1)

## Functions

int | WIN_SetErrorFromHRESULT (const char *prefix, HRESULT hr)
int | WIN_SetError (const char *prefix)
HRESULT | WIN_CoInitialize (void)
void | WIN_CoUninitialize (void)
BOOL | WIN_IsWindowsVistaOrGreater (void)
BOOL | WIN_IsWindows7OrGreater (void)
char * | WIN_LookupAudioDeviceName (const WCHAR *name, const GUID *guid)
BOOL | WIN_IsEqualGUID (const GUID *a, const GUID *b)
BOOL | WIN_IsEqualIID (REFIID a, REFIID b)

## Macro Definition Documentation

## WIN_StringToUTF8

#define WIN_StringToUTF8 | ( |  | S | ) | SDL_iconv_string("UTF-8", "ASCII", (char *)(S), (SDL_strlen(S)+1))

Definition at line 46 of file SDL_windows.h.

## WIN_UTF8ToString

#define WIN_UTF8ToString | ( |  | S | ) | SDL_iconv_string("ASCII", "UTF-8", (char *)(S), SDL_strlen(S)+1)

Definition at line 47 of file SDL_windows.h.

Referenced by IsSDLWindowEventPending(), and SDL_LogOutput().

## Function Documentation

## WIN_CoInitialize()

HRESULT WIN_CoInitialize | ( | void |  | ) |

## WIN_CoUninitialize()

void WIN_CoUninitialize | ( | void |  | ) |

## WIN_IsEqualGUID()

BOOL WIN_IsEqualGUID | ( | const GUID * | a,
|  | const GUID * | b
| ) |  |

## WIN_IsEqualIID()

BOOL WIN_IsEqualIID | ( | REFIID | a,
|  | REFIID | b
| ) |  |

## WIN_IsWindows7OrGreater()

BOOL WIN_IsWindows7OrGreater | ( | void |  | ) |

## WIN_IsWindowsVistaOrGreater()

BOOL WIN_IsWindowsVistaOrGreater | ( | void |  | ) |

## WIN_LookupAudioDeviceName()

char* WIN_LookupAudioDeviceName | ( | const WCHAR * | name,
|  | const GUID * | guid
| ) |  |

## WIN_SetError()

int WIN_SetError | ( | const char * | prefix | ) |

## WIN_SetErrorFromHRESULT()

int WIN_SetErrorFromHRESULT | ( | const char * | prefix,
|  | HRESULT | hr
| ) |  |